import { HttpClient } from '@angular/common/http';
import { Component, ViewChild } from '@angular/core';
import { PdfJsViewerComponent } from 'ng2-pdfjs-viewer';
import { map } from 'rxjs';

@Component({
  selector: 'app-root',
  templateUrl: './app.component.html',
  styleUrls: ['./app.component.sass']
})
export class AppComponent {
  title = 'angular-tour-of-heroes';

  @ViewChild(PdfJsViewerComponent) public myViewerRef: any;
  constructor(private http: HttpClient) {
    let url = "https://ng2-pdfjs-viewer.azurewebsites.net/api/document/getmypdf";
    this.downloadFile(url).subscribe(
        (res: any) => {
            this.myViewerRef.pdfSrc = res; // pdfSrc can be Blob or Uint8Array
            this.myViewerRef.refresh(); // Ask pdf viewer to load/refresh pdf
        }
    );
  }

  private downloadFile(url: string): any {
    return this.http.get(url, { responseType: 'blob' })
        .pipe(
            map((result: any) => {
                return result;
            })
        );
  }
}
